Bug 308948 - Pictures belonging to a group can't be displayed in the light table window
Summary: Pictures belonging to a group can't be displayed in the light table window
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-Group (show other bugs)
Version: 2.9.0
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-24 18:51 UTC by mnaugendre
Modified: 2017-07-29 05:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mnaugendre 2012-10-24 18:51:17 UTC
When pictures belong to a group, no matter if I 'open' the group (show all the pictures) to select those I want to display in the light table window, only the picture 'head-of-group' shows; it is always the only thumbnail available to drag-and-drop to the light table.
I need to actually ungroup the pictures before I can display in the light table those I have selected.

Reproducible: Always

Steps to Reproduce:
1.Make a group with several pictures
2.Select some of them
3.Hit Ctr-L
Actual Results:  
There is only one thumbnail available for the light table display.

Expected Results:  
All the selected pictures available for display in the light table.
Comment 1 Peter Albrecht 2012-10-24 19:29:47 UTC
Adding all grouped images also fails with shortcuts:

  - CTRL + SHIFT + L      (add more pictures to light table)
  - L                                  (having no image selected, adds all images to the light table)
Comment 2 Marcel Wiesweg 2013-01-12 17:51:51 UTC
Git commit 3623e1982722ccdd673af47afdc62a51459af96b by Marcel Wiesweg.
Committed on 12/01/2013 at 18:50.
Pushed by mwiesweg into branch 'master'.

Do not filter out grouped images in the filter model of the lighttable thumbbar

M  +4    -1    NEWS
M  +1    -0    utilities/lighttable/lighttablethumbbar.cpp

http://commits.kde.org/digikam/3623e1982722ccdd673af47afdc62a51459af96b